=== debian/changelog ===
kdegraphics-mobipocket (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)
  * Drop no longer built Qt5 library and dev package.

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:51:41 +0000
