## kdegraphics-mobipocket 25.12.0

=== debian/changelog ===
kdegraphics-mobipocket (4:25.12.0-0zneon+24.04+noble+release+build22) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 12:20:43 +0000

kdegraphics-mobipocket (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:31:47 +1000
