## kdegraphics-mobipocket 25.12.0+p24.04+vstable+git20251208.1254

=== debian/changelog ===
kdegraphics-mobipocket (4:25.12.0+p24.04+vstable+git20251208.1254-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 12:54:49 +0000
