## kdegraphics-mobipocket 25.12.1+p24.04+vstable+git20260122.0657

=== debian/changelog ===
kdegraphics-mobipocket (4:25.12.1+p24.04+vstable+git20260122.0657-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 06:57:06 +0000
