## kdegraphics-mobipocket 25.12.1+p24.04+vunstable+git20260106.1452

=== debian/changelog ===
kdegraphics-mobipocket (4:25.12.1+p24.04+vunstable+git20260106.1452-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 14:52:12 +0000
