## kdegraphics-mobipocket 25.12.1+p24.04+vunstable+git20260123.0500

=== debian/changelog ===
kdegraphics-mobipocket (4:25.12.1+p24.04+vunstable+git20260123.0500-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 05:00:24 +0000
